PolymorphismType (Hibernate JavaDocs)
Date: 2012-04-05

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.hibernate.annotations
Enum PolymorphismType

    java.lang.Object
      java.lang.Enum<PolymorphismType>
          org.hibernate.annotations.PolymorphismType

All Implemented Interfaces:
  Serializable, Comparable<PolymorphismType>

    public enum PolymorphismType

extends Enum<PolymorphismType>

Type of available polymorphism for a particular entity

Enum Constant Summary
`EXPLICIT` this entity is retrieved only if explicitly asked
`IMPLICIT` default, this entity is retrieved if any of its super entity is asked

Method Summary
`static PolymorphismType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static PolymorphismType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### IMPLICIT

    public static final PolymorphismType IMPLICIT

  default, this entity is retrieved if any of its super entity is asked

### EXPLICIT

    public static final PolymorphismType EXPLICIT

  this entity is retrieved only if explicitly asked

Method Detail

### values

    public static PolymorphismType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (PolymorphismType c : PolymorphismType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static PolymorphismType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.